GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::Value Class Referenceabstract

Class to represent the value of a Data Element. More...

`#include <gdcmValue.h>`

Inheritance diagram for gdcm::Value:
[legend]
Collaboration diagram for gdcm::Value:
[legend]

## Public Member Functions

| Value ()
| ~Value ()
virtual void | Clear ()=0
virtual VL | GetLength () const =0
virtual bool | operator== (const Value &val) const =0
virtual void | SetLength (VL l)=0
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assigment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Additional Inherited Members

Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

Class to represent the value of a Data Element.

Note
  VALUE: A component of a Value Field. A Value Field may consist of one or more of these components.

## Constructor & Destructor Documentation

gdcm::Value::Value | ( |  | ) |

inline

gdcm::Value::~Value | ( |  | ) |

inline

## Member Function Documentation

virtual void gdcm::Value::Clear | ( |  | ) |

pure virtual

Implemented in gdcm::ByteValue, gdcm::SequenceOfItems, and gdcm::SequenceOfFragments.

virtual VL gdcm::Value::GetLength | ( |  | ) | const

pure virtual

Implemented in gdcm::ByteValue, gdcm::SequenceOfItems, and gdcm::SequenceOfFragments.

Referenced by gdcm::DataSet::InsertDataElement(), and gdcm::DataElement::SetValue().

virtual bool gdcm::Value::operator== | ( | const Value & | val | ) | const

pure virtual

Implemented in gdcm::SequenceOfItems, gdcm::SequenceOfFragments, and gdcm::ByteValue.

virtual void gdcm::Value::SetLength | ( | VL | l | ) |

pure virtual

Implemented in gdcm::ByteValue, gdcm::SequenceOfItems, and gdcm::SequenceOfFragments.

The documentation for this class was generated from the following file:

- gdcmValue.h